org.gcube.dataanalysis.dataminer.poolmanager.util

## Class CheckMethod

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.util.CheckMethod

    public class CheckMethod
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CheckMethod()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `algoExists(Algorithm algo)`
`boolean` `algoExistsProd(Algorithm a)`
`boolean` `checkMethod(String machine, String token)`
`void` `copyFromDmToSVN(File a)`
`void` `copyFromDmToSVNProd(File a)`
`void` `deleteFiles(Algorithm a)`
`void` `deleteFilesProd(Algorithm a)`
`boolean` `doesExist(String path)`
`boolean` `doesExistProd(String path)`
`List<String>` `getFiles(String a)`
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckMethod

    public CheckMethod()

### Method Detail

#### checkMethod

    public boolean checkMethod(String machine,
                               String token)
                        throws Exception

Throws:
  `Exception`

#### algoExists

    public boolean algoExists(Algorithm algo)
                       throws Exception

Throws:
  `Exception`

#### algoExistsProd

    public boolean algoExistsProd(Algorithm a)
                           throws Exception

Throws:
  `Exception`

#### deleteFiles

    public void deleteFiles(Algorithm a)
                     throws Exception

Throws:
  `Exception`

#### deleteFilesProd

    public void deleteFilesProd(Algorithm a)
                         throws Exception

Throws:
  `Exception`

#### doesExist

    public boolean doesExist(String path)
                      throws Exception

Throws:
  `Exception`

#### doesExistProd

    public boolean doesExistProd(String path)
                          throws Exception

Throws:
  `Exception`

#### copyFromDmToSVN

    public void copyFromDmToSVN(File a)
                         throws Exception

Throws:
  `Exception`

#### copyFromDmToSVNProd

    public void copyFromDmToSVNProd(File a)
                             throws Exception

Throws:
  `Exception`

#### getFiles

    public List<String> getFiles(String a)

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`